import { BaseDataOrchestrator } from "./base-data.orchestrator";

export abstract class BaseDataTransactionOrchestrator<Entity> extends BaseDataOrchestrator<Entity> {
    abstract active(dataId: string): Promise<String>;
    abstract confirm(dataId: string): Promise<String>;
    abstract inactive(dataId: string): Promise<String>;
}