export abstract class BaseDataOrchestrator<Entity> {

    abstract create(data: Entity): Promise<Entity>;
    abstract update(dataId: string, data: Entity): Promise<Entity>;
    abstract delete(dataId: string): Promise<String>;

}